<div class="content-wrapper">
	<div class="content-title">
		<ol class="breadcrumb">
			<li><a (click)="goToDashboard()" class="breadcrumb">Dashboard</a></li>
			<li><span>My Events</span></li>
		</ol>
	</div>
	<div class="ml20 mr20">
    <div class="ml10 mr10 text-right">
				<button color="primary" mat-raised-button (click)="createEvent()" class="mt20 mb20">CREATE EVENT</button>
		</div>
		<div class="text-center" [hidden]="!loading">
			<div class="loading-items text-center">Loading Events</div>
		</div>
		<div class="text-center" *ngIf="!loading && (eventDataSource.length === 0)">No Events Found!</div>
		<div class="custom-table">
			<table mat-table [dataSource]="eventDataSource" *ngIf="eventDataSource != 0">
				<!-- Position Column -->
				<ng-container matColumnDef="position">
					<th mat-header-cell *matHeaderCellDef> No.</th>
					<td mat-cell *matCellDef="let element">{{element.position}}</td>
				</ng-container>

				<!-- Name Column -->
				<ng-container matColumnDef="name">
					<th mat-header-cell *matHeaderCellDef>Event Name</th>
					<td mat-cell *matCellDef="let element">{{element.name}}</td>
				</ng-container>

				<!-- Date Column -->
				<ng-container matColumnDef="date">
					<th mat-header-cell *matHeaderCellDef>Date</th>
					<td mat-cell *matCellDef="let element">{{element.date | date: 'MMM d, y, h:mm a'}}</td>
				</ng-container>

				<!-- Duration Column -->
				<ng-container matColumnDef="duration">
					<th mat-header-cell *matHeaderCellDef>Duration</th>
					<td mat-cell *matCellDef="let element">{{convertMinsToHrsMins(element.duration)}}</td>
				</ng-container>

				<!-- Fees Column -->
				<ng-container matColumnDef="fees">
						<th mat-header-cell *matHeaderCellDef>Fees</th>
						<td mat-cell *matCellDef="let element">{{ConvertCurrencyToINR(element.fees)}}</td>
					</ng-container>

				<!-- Location Column -->
				<ng-container matColumnDef="location">
					<th mat-header-cell *matHeaderCellDef>Location</th>
					<td mat-cell *matCellDef="let element">{{element.location}}</td>
				</ng-container>

				<!-- maxParticipants Column -->
				<ng-container matColumnDef="maxParticipants">
					<th mat-header-cell *matHeaderCellDef>Max Participants</th>
					<td mat-cell *matCellDef="let element" class="max-participants">{{element.maxParticipants}}</td>
				</ng-container>

				<!-- View Users Column -->
				<ng-container matColumnDef="viewUsers">
					<th mat-header-cell *matHeaderCellDef>Registered Users</th>
					<td mat-cell *matCellDef="let element" (click)="viewUsers(element.id)">
						<span *ngIf="element.registeredUsers === 0">No Users<fa-icon [icon]="faEyeSlash" class="nav-icon"></fa-icon></span>
						<span class="table-links" *ngIf="element.registeredUsers !== 0">View Users ({{element.registeredUsers}})<fa-icon [icon]="faEye" class="nav-icon"></fa-icon></span>
					</td>
				</ng-container>
				
				<!-- Edit Column -->
				<ng-container matColumnDef="edit">
					<th mat-header-cell *matHeaderCellDef>Edit</th>
					<td mat-cell *matCellDef="let element" (click)="editEvent(element.id)">
						<fa-icon [icon]="faEdit" class="nav-icon pl10"></fa-icon>
					</td>
				</ng-container>

				<!-- Delete Column -->
				<ng-container matColumnDef="delete">
					<th mat-header-cell *matHeaderCellDef>Delete</th>
					<td mat-cell *matCellDef="let element" (click)="deleteEvent(element.name, element.id)">
						<fa-icon [icon]="faTrashAlt" class="nav-icon ml15"></fa-icon>
					</td>
				</ng-container>

				<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
				<tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
			</table>
		</div>
	</div>

</div>